=== debian/changelog ===
libxmlada (17.1.2017-5) unstable; urgency=medium

  * Build-Depend latexmk for LaTeX sphinx-doc module. Closes: #872231.
  * Regenerate from unicode version 10. Build-Depend an unicode version
    instead of updating Ada sources with the same -dev package aliversion.
  * Build-Depend: python3 version of sphinx-doc.
  * Forward patches.
  * Standards-Version: 4.1.0.
  * Vcs-Mtn: new monotone URI format.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 25 Sep 2017 10:29:55 +0200

libxmlada (17.1.2017-4) unstable; urgency=medium

  * Upload to unstable.
  * Rename libxmlada-input4.5.2015 -> 4.6, forgotten in last upload.
  * Build-Depends: handle texlive generic package renaming.
  * Standards-Version: 4.0.1 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 09 Aug 2017 18:08:06 +0200

libxmlada (17.1.2017-3) experimental; urgency=medium

  * Rename libxmlada-dom4.5.2015 -> 4.6, reflecting the API and compiler
    changes since last upload to unstable.
  * Disable sphinxdoc parallelism to prevent a FTBFS caused by #869098.
  * Drop Break/Replace: libxmlada-*6-dev, now implicit through gnat-7.
  * Drop Break/Replace: libxmlada-dev, not in oldstable anymore.
  * Debhelper 10. Drop explicit rules targets confusing dh.
  * Handle DEB_BUILD_OPTIONS=nodoc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Jul 2017 21:52:03 +0200

libxmlada (17.1.2017-2) experimental; urgency=medium

  * Build-Depend: unicode-data >= 9 instead of = 9.
  * Merge changes from gprbuild in shared portion of d/rules.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 02 Jul 2017 20:19:42 +0200

libxmlada (17.1.2017-1) experimental; urgency=medium

  * New upstream release. Build with gnat-7. No ALI/SO bump in experimental.
  * Standards-Version: 4.0.0. Suggest: -doc instead of Recommend.
  * Allow -doc package to satisfy Multi-Arch: foreign dependencies.
  * Move projects to /usr/share/gpr, in gprbuild's upstream lookup path.
  * Output of pdflatex and gnat are now reproducible without help.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 22 Jun 2017 09:33:11 +0200

libxmlada (4.6.2016-1) experimental; urgency=medium

  * New upstream release.
    ALI version of unicode increases, forcing all ALI versions to do so.
    Rename -dev and Break/Replace: previous versions per Ada policy.
    Only sax and schema SO binary interfaces may have changed.
    Since "input_sources" needs to be renamed, use upstream name "input".
  * Upstream drops xmlada-config, remove the related packaging stuff.
  * Apply generate-unicode-names.diff from upstream VCS.
    Exclude generated sources from repackaged orig tarball.
    Update it for unicode version 9 as packaged in Debian.
  * Allow a SO version per library and non existing lib/obj directories.
  * Ensure deterministic timestamps in patched or generated ALI files.
  * README.source: upstream VCS is now on GitHub.
  * Switch watch file to version 4.
  * Reorder build flags to simplify maintenance of PIE flags.
  * Generate internal dependencies instead of copying them manually.
  * tests/link-with-shared depends gprbuild for project support.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 11 Aug 2016 00:56:55 +0200
