=== debian/watch ===
version=4

opts=\
  filenamemangle=s/^.*download=//,\
  dversionmangle=s/^.*\.// \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=adacore/xmlada \
.*xmlada-gpl@ANY_VERSION@-src@ARCHIVE_EXT@

# Major and minor versions are set manually, see README.source.
