## libxmlada 18

=== debian/changelog ===
libxmlada (18-4) unstable; urgency=medium

  * Update to unicode version 12. Closes: #927943.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 May 2019 11:47:15 +0200

libxmlada (18-3) unstable; urgency=medium

  * Update to unicode version 11, really closing #903380.
    The SO and ALI versions are already new in unstable.
  * Standards-Version: 4.2.1. Rules-Requires-Root: no
  * Add some warning to build flags.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 19:30:35 +0200

libxmlada (18-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition. Closes: #903380.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:06 +0200

libxmlada (18-1) experimental; urgency=medium

  * New upstream release. No package renaming in experimental.
  * Enable parallel doc builds now that #869098 is closed.
  * Remove execution permissions for example sources.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 09 Jun 2018 19:44:04 +0200

libxmlada (17.1.2017-7) experimental; urgency=medium

  * Rebuild with gnat-8.
    Rename shared library and -dev packages per Debian Ada policy.
  * Delete watch file. Explain why in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 07 May 2018 16:50:15 +0200

libxmlada (17.1.2017-6) unstable; urgency=medium

  * Drop .mtn-ignore, source/lintian-overrides.
    Keeping duplicate information in sync is wasted work.
  * Delete trailing spaces in this changelog.
  * Debhelper 11.
  * Drop obsolete version restriction for dpkg-dev.
  * Standards-Version: 4.1.4.
  * Update upstream homepage URL.
  * Add forgotten sphinxdoc:Build-Using substitution variable.
  * Increase verbosity of run time test.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 03 May 2018 17:16:15 +0200
