=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: dpkg-dev (>= 1.16.1), debhelper (>= 10),
-# dpkg-dev: /usr/share/dpkg/default.mk
- gnat, gnat-7,
+Build-Depends: debhelper (>= 11),
+ gnat, gnat-8,
 # Note: the rules script parses this line to extract the gnat version.
- unicode-data (>= 10~), unicode-data (<< 11~),
+ unicode-data (>= 12~), unicode-data (<< 13~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
-Build-Depends-Indep: python3-sphinx,
+Build-Depends-Indep:
+ python3-sphinx (>= 1.6.3-2),
+# fixing #869098.
  latexmk,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
@@ -21,12 +22,13 @@
  texlive-latex-extra,
 # Sphinx-common provides dh_sphinxdoc.
  sphinx-common
-Standards-Version: 4.1.0
+Standards-Version: 4.2.1
+Rules-Requires-Root: no
 Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libxmlada
 Vcs-Mtn: mtn://www.ada-france.org?org.debian.libxmlada
-Homepage: https://libre.adacore.com/libre
-
-Package: libxmlada-unicode7-dev
+Homepage: https://www.adacore.com/community
+
+Package: libxmlada-unicode8-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -47,6 +49,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Suggests: gnat
 Description: XML/Ada, a full XML suite for Ada programmers (documentation)
  XML/Ada is a set of modules that provide a simple manipulation of XML
@@ -59,7 +62,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom7-dev
+Package: libxmlada-dom8-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -73,7 +76,7 @@
  .
  This package contains the development tools for the dom module.
 
-Package: libxmlada-dom4.6
+Package: libxmlada-dom5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -90,7 +93,7 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input7-dev
+Package: libxmlada-input8-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -104,7 +107,7 @@
  .
  This package contains the development tools for the input sources module.
 
-Package: libxmlada-input4.6
+Package: libxmlada-input5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -121,7 +124,7 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax7-dev
+Package: libxmlada-sax8-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -135,7 +138,7 @@
  .
  This package contains the development tools for the sax module.
 
-Package: libxmlada-sax4.6.2016
+Package: libxmlada-sax5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -152,7 +155,7 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema7-dev
+Package: libxmlada-schema8-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)
@@ -168,7 +171,7 @@
  and an xmlada.gpr project importing the whole XML/Ada library.
 # inside schema-dev because it Depends: every other -dev package.
 
-Package: libxmlada-schema4.6.2016
+Package: libxmlada-schema5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -185,7 +188,7 @@
  .
  This package contains the schema runtime shared library.
 
-Package: libxmlada-unicode4.6.2016
+Package: libxmlada-unicode5
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
