=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2017 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2018 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -40,10 +40,14 @@
   ' debian/control),$(eval $(line)))
 
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
+DEB_ADAFLAGS_MAINT_APPEND := -gnatwa -Wall -gnatafno -gnatVa
+DEB_LDFLAGS_MAINT_APPEND := \
+  -Wl,--as-needed \
+  -Wl,--no-undefined \
+  -Wl,--no-copy-dt-needed-entries \
+  -Wl,--no-allow-shlib-undefined
 include /usr/share/dpkg/default.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-
-ADAFLAGS += -gnatafno -gnatVa
 
 # Ignore gnat.adc in top directory.
 BUILDER_OPTIONS += -gnatA
@@ -191,8 +195,3 @@
 
   # Externally built project installed for end users.
   override_dh_auto_build-arch: obj/$(library).gpr
-  obj/$(library).gpr: debian/template.gpr | obj
-	sed ' \
-	  /@IMPORTS@/ { \
-	    s//$(foreach l, $($(library)_deps_int_direct) \
-	                    $($(library)_deps_ext_direct) \
