=== debian/changelog ===
libxmlada (19-3) unstable; urgency=medium

  * Update for unicode 13. Closes: #954130.
    The changes affect niche packages, so I am keeping the ALI version.
  * Move gnat and unicode-data from Build-Depends to Build-Depends-Arch.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 25 Mar 2020 16:16:24 +0100

libxmlada (19-2) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Drop --as-needed, enabled by default with gcc-9.
  * Only include used dpkg Makefile snippets.
  * Debhelper 12 does not compress examples anymore.
  * Reduce divergence with part of d/rules shared with gprbuild.
  * Remove redundant branch from Vcs-Git field.
  * Standards-Version: 4.5.0.
  * Use dh-sequence debhelper syntax for sphinxdoc.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 23 Feb 2020 17:51:37 +0100

libxmlada (19-1) experimental; urgency=medium

  * New upstream release, built with gnat-9.
    Migration in experimental, renaming lib and -dev packages.
  * Move Version Control System to salsa.
  * Refresh forwarded patches.
  * Debhelper 12.
  * Standards-version 4.4.0.
  * Update Source URL in d/copyright.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 18 Jul 2019 11:18:48 +0200
