=== debian/control ===
--- 
+++ 
@@ -4,14 +4,17 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+Build-Depends-Arch:
+ gnat, gnat-9,
 # Note: the rules script parses this line to extract the gnat version.
- unicode-data (>= 12~), unicode-data (<< 13~),
+ unicode-data (>= 13~), unicode-data (<< 14~),
 # Used by debian/rules to generate unicode-names-*.ads.
 # When a new unicode standard is released, we most probably have to
 # increase the ALI version of xmlada-unicode and all reverse dependencies.
 Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-sphinx (>= 1.6.3-2),
 # fixing #869098.
  latexmk,
@@ -20,15 +23,13 @@
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
  texlive-latex-extra,
-# Sphinx-common provides dh_sphinxdoc.
- sphinx-common
-Standards-Version: 4.2.1
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libxmlada
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.libxmlada
+Vcs-Browser: https://salsa.debian.org/debian/libxmlada
+Vcs-Git: https://salsa.debian.org/debian/libxmlada.git
 Homepage: https://www.adacore.com/community
 
-Package: libxmlada-unicode8-dev
+Package: libxmlada-unicode9-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libxmlada-doc
@@ -62,7 +63,7 @@
  .
  This package contains the documentation in text, PDF and HTML.
 
-Package: libxmlada-dom8-dev
+Package: libxmlada-dom9-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (dom)
@@ -76,7 +77,7 @@
  .
  This package contains the development tools for the dom module.
 
-Package: libxmlada-dom5
+Package: libxmlada-dom6
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -93,7 +94,7 @@
  .
  This package contains the dom runtime shared library.
 
-Package: libxmlada-input8-dev
+Package: libxmlada-input9-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (input sources)
@@ -107,7 +108,7 @@
  .
  This package contains the development tools for the input sources module.
 
-Package: libxmlada-input5
+Package: libxmlada-input6
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -124,7 +125,7 @@
  .
  This package contains the input sources runtime shared library.
 
-Package: libxmlada-sax8-dev
+Package: libxmlada-sax9-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (sax)
@@ -138,7 +139,7 @@
  .
  This package contains the development tools for the sax module.
 
-Package: libxmlada-sax5
+Package: libxmlada-sax6
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -155,7 +156,7 @@
  .
  This package contains the sax runtime shared library.
 
-Package: libxmlada-schema8-dev
+Package: libxmlada-schema9-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Description: XML/Ada, a full XML suite for Ada programmers (schema)
@@ -171,7 +172,7 @@
  and an xmlada.gpr project importing the whole XML/Ada library.
 # inside schema-dev because it Depends: every other -dev package.
 
-Package: libxmlada-schema5
+Package: libxmlada-schema6
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
@@ -188,7 +189,7 @@
  .
  This package contains the schema runtime shared library.
 
-Package: libxmlada-unicode5
+Package: libxmlada-unicode6
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
