=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for XML/Ada in Debian.
 # Copyright (c) 2003-2009 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2018 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2019 Nicolas Boulenguez <nicolas@debian.org>
 
 # This program is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,7 +24,7 @@
 # backport of good ideas.
 
 ######################################################################
-# *_DEV_PKG, *_LIB_PKG and *_SONAME are read from the control file.
+# Read some variables from the Debian control file.
 # To debug, replace eval with error.
 $(foreach line,$(shell sed -n ' \
   s/^Package:\s*\(libxmlada-\([a-z]\+\)\([0-9.]\+\)\)$$/ \
@@ -42,12 +42,15 @@
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
 DEB_ADAFLAGS_MAINT_APPEND := -gnatwa -Wall -gnatafno -gnatVa
 DEB_LDFLAGS_MAINT_APPEND := \
-  -Wl,--as-needed \
   -Wl,--no-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-allow-shlib-undefined
-include /usr/share/dpkg/default.mk
-include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/buildflags.mk
+ifneq (,$(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk))
+  # In Build-Depends-Arch but not -Indep.
+  include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
+endif
 
 # Ignore gnat.adc in top directory.
 BUILDER_OPTIONS += -gnatA
@@ -95,6 +98,7 @@
 define library_template
 # Parameters:
 # _SRCDIR: directory containing the sources files
+# _SONAME : shared object name (libNAME.so.VERSION)
 # _deps_int       : used in -aI -aO -l for libs built by this deb source
 # _deps_int_direct: subset used for .gpr and ada:Depends
 # _deps_ext       : used in -aI -aO -l for libs from packaged Build-Depends
@@ -190,8 +194,3 @@
 	echo 'ada:Depends=gnat, gnat-$(GNAT_VERSION), \
 	  $(foreach l, $($(library)_deps_int_direct), $($(l)_DEV_PKG) (=$$$${binary:Version}),) \
 	  $(foreach l, $($(library)_deps_ext_direct), $($(l)_DEV_PKG),) \
-	  $($(library)_LIB_PKG)' \
-	  >> debian/$($(library)_DEV_PKG).substvars
-
-  # Externally built project installed for end users.
-  override_dh_auto_build-arch: obj/$(library).gpr
